Bug 173851 - graphics/libfpx: can't compile with clang
graphics/libfpx: can't compile with clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Mikhail Teterin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 05:30 UTC by Kevin Lo
Modified: 2012-12-07 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (677 bytes, patch)
2012-11-23 05:30 UTC, Kevin Lo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Lo freebsd_committer 2012-11-23 05:30:00 UTC
c++  -O2 -pipe -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/h -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/jpeg -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/ole -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/basics -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/ri_image -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/fpx -I/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/. -I/usr/local/include -D_UNIX -c /usr/ports/graphics/libf
 px/work/libfpx-1.3.1-1/oless/entry.cxx -o entry.o
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/dir.cxx:12:
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/msfhead.cxx:18:
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/h/msf.hxx:131:
/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/h/dir.hxx:144:11: error: private field '_bpad' is not used [-Werror,-Wunused-private-field]
    BYTE  _bpad[CBDIRPAD];
          ^
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/dir.cxx:12:
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/msfhead.cxx:18:
In file included from /usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/h/msf.hxx:131:
1 error generated.
/usr/ports/graphics/libfpx/work/libfpx-1.3.1-1/oless/h/dir.hxx:144:11: error: private field '_bpad' is not used [-Werror,-Wunused-private-field]
    BYTE  _bpad[CBDIRPAD];
          ^
1 error generated.
*** [dir.So] Error code 1
*** [dir.o] Error code 1
2 errors
*** [do-build] Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2012-11-23 05:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-11-23 05:30:09 UTC
Maintainer of graphics/libfpx,

Please note that PR ports/173851 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173851

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-11-23 05:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Kevin Lo freebsd_committer 2012-12-06 05:56:11 UTC
State Changed
From-To: feedback->closed

Committed.
Comment 5 mi+thun 2012-12-06 06:30:40 UTC
I had a reason to hold off on this one, but, indeed, have failed to make 
my reservations public (I only discussed it with the submitter and one 
more colleague privately) creating an appearance of a timeout.

I'm curious, how did you test the resulting library? The removed field, 
judging by its name and the way its size is determined, was meant to 
make the size of the containing class match that of some other 
structure. Removing the field may now break some assumption somewhere 
else in the code...

You did test, didn't you? Do the ImageMagick's self-tests succeed 
despite the change of libfpx, for example?

    -mi
Comment 6 Kevin Lo freebsd_committer 2012-12-06 07:02:17 UTC
Mikhail T. wrote:
> I had a reason to hold off on this one, but, indeed, have failed to
> make my reservations public (I only discussed it with the submitter
> and one more colleague privately) creating an appearance of a timeout.

The PR submitter is me. I didn't received any email from you.
> 
> I'm curious, how did you test the resulting library? The removed
> field, judging by its name and the way its size is determined, was
> meant to make the size of the containing class match that of some
> other structure. Removing the field may now break some assumption
> somewhere else in the code...
> 
> You did test, didn't you? Do the ImageMagick's self-tests succeed
> despite the change of libfpx, for example?

Yes. I run the the ImageMagick validation suite. Here's the result:

make  check-TESTS check-local
PASS: tests/validate-compare.tap 1
PASS: tests/validate-composite.tap 1
PASS: tests/validate-convert.tap 1
PASS: tests/validate-identify.tap 1
PASS: tests/validate-import.tap 1
PASS: tests/validate-montage.tap 1
PASS: tests/validate-pipe.tap 1
PASS: tests/validate-pipe.tap 2
PASS: tests/validate-pipe.tap 3
PASS: tests/validate-pipe.tap 4
PASS: tests/validate-pipe.tap 5
PASS: tests/validate-pipe.tap 6
PASS: tests/validate-pipe.tap 7
PASS: tests/validate-pipe.tap 8
PASS: tests/validate-colorspace.tap 1
PASS: tests/validate-colorspace.tap 2
PASS: tests/validate-colorspace.tap 3
PASS: tests/validate-colorspace.tap 4
PASS: tests/validate-colorspace.tap 5
PASS: tests/validate-colorspace.tap 6
PASS: tests/validate-colorspace.tap 7
PASS: tests/validate-colorspace.tap 8
PASS: tests/validate-colorspace.tap 9
PASS: tests/validate-colorspace.tap 10
PASS: tests/validate-colorspace.tap 11
PASS: tests/validate-colorspace.tap 12
PASS: tests/validate-colorspace.tap 13
PASS: tests/validate-colorspace.tap 14
PASS: tests/validate-colorspace.tap 15
PASS: tests/validate-colorspace.tap 16
PASS: tests/validate-colorspace.tap 17
PASS: tests/validate-colorspace.tap 18
PASS: tests/validate-colorspace.tap 19
PASS: tests/validate-stream.tap 1
PASS: tests/validate-formats-in-memory.tap 1
PASS: tests/validate-formats-on-disk.tap 1
PASS: tests/drawtest.tap 1
PASS: tests/wandtest.tap 1
PASS: Magick++/tests/tests.tap 1
PASS: Magick++/tests/tests.tap 2
PASS: Magick++/tests/tests.tap 3
PASS: Magick++/tests/tests.tap 4
PASS: Magick++/tests/tests.tap 5
PASS: Magick++/tests/tests.tap 6
PASS: Magick++/tests/tests.tap 7
PASS: Magick++/tests/tests.tap 8
PASS: Magick++/tests/tests.tap 9
PASS: Magick++/tests/tests.tap 10
PASS: Magick++/tests/tests.tap 11
PASS: Magick++/tests/tests.tap 12
PASS: Magick++/demo/demos.tap 1
PASS: Magick++/demo/demos.tap 2
PASS: Magick++/demo/demos.tap 3
PASS: Magick++/demo/demos.tap 4
PASS: Magick++/demo/demos.tap 5
PASS: Magick++/demo/demos.tap 6
PASS: Magick++/demo/demos.tap 7
PASS: Magick++/demo/demos.tap 8
PASS: Magick++/demo/demos.tap 9
PASS: Magick++/demo/demos.tap 10
PASS: Magick++/demo/demos.tap 11
PASS: Magick++/demo/demos.tap 12
PASS: Magick++/demo/demos.tap 13
PASS: Magick++/demo/demos.tap 14
PASS: Magick++/demo/demos.tap 15
PASS: Magick++/demo/demos.tap 16
PASS: Magick++/demo/demos.tap 17
PASS: Magick++/demo/demos.tap 18
PASS: Magick++/demo/demos.tap 19
PASS: Magick++/demo/demos.tap 20
PASS: Magick++/demo/demos.tap 21
PASS: Magick++/demo/demos.tap 22
PASS: Magick++/demo/demos.tap 23
PASS: Magick++/demo/demos.tap 24
make  all-am
============================================================================
Testsuite summary for ImageMagick 6.7.9
============================================================================
# TOTAL: 74
# PASS:  74
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================


>         -mi

	Kevin
Comment 7 mi+thun 2012-12-06 16:52:51 UTC
On 06.12.2012 02:02, Kevin Lo wrote:
> The PR submitter is me. I didn't received any email from you.
Indeed... I confused your PR with the 173591 
<http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173591>, of which yours is a 
duplicate.
>> >
>> >I'm curious, how did you test the resulting library? The removed
>> >field, judging by its name and the way its size is determined, was
>> >meant to make the size of the containing class match that of some
>> >other structure. Removing the field may now break some assumption
>> >somewhere else in the code...
>> >
>> >You did test, didn't you? Do the ImageMagick's self-tests succeed
>> >despite the change of libfpx, for example?
> Yes. I run the the ImageMagick validation suite. Here's the result:
Well, Ok then. Thank you. Please, close the 137591 too. Thank you,

    -mi
Comment 8 Kevin Lo freebsd_committer 2012-12-07 01:21:45 UTC
Mikhail T. wrote:
> On 06.12.2012 02:02, Kevin Lo wrote:
> 
> > The PR submitter is me. I didn't received any email from you.
> Indeed... I confused your PR with the 173591, of which yours is a
> duplicate.
> > > > 
> > > > I'm curious, how did you test the resulting library? The removed
> > > > field, judging by its name and the way its size is determined, was
> > > > meant to make the size of the containing class match that of some
> > > > other structure. Removing the field may now break some assumption
> > > > somewhere else in the code...
> > > > 
> > > > You did test, didn't you? Do the ImageMagick's self-tests succeed
> > > > despite the change of libfpx, for example?
> > Yes. I run the the ImageMagick validation suite. Here's the result:
> Well, Ok then. Thank you. Please, close the 137591 too. Thank you,

Done. Thanks.

>         -mi

	Kevin